MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
LTIImageStageManager Class Reference

abstract class for managing a list of image stages More...

`#include <lti_imageStageManager.h>`

Inheritance diagram for LTIImageStageManager:
[legend]
Collaboration diagram for LTIImageStageManager:
[legend]

## Public Member Functions
virtual LT_STATUS | createImageProps (lt_uint32 imageNumber, LTIImage *&imageProps)
| create an image properties More...
virtual LT_STATUS | createImageStage (lt_uint32 imageNumber, LTIImageStage *&imageStage)
| create an image stage More...
virtual LTIImageStage * | createImageStage (lt_uint32 imageNumber)
lt_uint32 | getNumImages (void) const
| get the number of images the object is managing More...
virtual LT_STATUS | createOverviewImageStage (LTIImageStage *&imageStage)
| create an image stage that can be used as an overview of all other images. More...
Public Member Functions inherited from LTIReferenceCountedObject
virtual void | retain (void) const
| increment reference counter More...
virtual void | release (void) const
| decrement the reference counter and delete the object when the counter is zero More...

## Protected Member Functions
| LTIImageStageManager (void)
virtual | ~LTIImageStageManager (void)
virtual void | setNumImages (lt_uint32 numImages)
| The derived class needs to call this. More...
Protected Member Functions inherited from LTIReferenceCountedObject
| LTIReferenceCountedObject (void)
virtual | ~LTIReferenceCountedObject (void)

## Detailed Description

The two most common uses of this class are passing a set of images to the LTIMosaicFilter and a wrapper around image formats that support multiple images in one file.

LTIImageStageManager was first added to replace the static list of LTIImageStage * passed to the LTIMosaicFilter to fix memory and file handle resource limitations.

Definition at line 33 of file lti_imageStageManager.h.

## Constructor & Destructor Documentation

LTIImageStageManager::LTIImageStageManager | ( | void | ) |  |
| protected

virtual LTIImageStageManager::~LTIImageStageManager | ( | void | ) |  |
| protected virtual

## Member Function Documentation

virtual LT_STATUS LTIImageStageManager::createImageProps | ( | lt_uint32 | imageNumber,
|  | LTIImage *& | imageProps
| ) |  |
| virtual

Note when done with the image stage call image->release().

Parameters

  imageNumber | number of the image (zero based)
  image | a pointer to the created image properties

virtual LT_STATUS LTIImageStageManager::createImageStage | ( | lt_uint32 | imageNumber,
|  | LTIImageStage *& | imageStage
| ) |  |
| virtual

Note when done with the image stage call imageStage->release().

Parameters

  imageNumber | number of the image (zero based)
  imageStage | a pointer to the created image stage

Reimplemented in LizardTech::NITFReaderManager, and MrSIDImageStageManager.

virtual LTIImageStage* LTIImageStageManager::createImageStage | ( | lt_uint32 | imageNumber) |  |
| virtual

virtual LT_STATUS LTIImageStageManager::createOverviewImageStage | ( | LTIImageStage *& | imageStage) |  |
| virtual

If an overview does not exsit this method returns LT_STS_Success and sets imageStage to NULL.

Parameters

  imageStage | a pointer to the created image stage

Reimplemented in MrSIDImageStageManager.

lt_uint32 LTIImageStageManager::getNumImages | ( | void | ) |  | const

virtual void LTIImageStageManager::setNumImages | ( | lt_uint32 | numImages) |  |
| protected virtual

The documentation for this class was generated from the following file:

- lti_imageStageManager.h

LizardTech